---
updatedAt: 2026-07-14T18:54:12.000Z
---

# Get all Remote VNC Assets matching query parameters.

Gets a paginated list of Remote VNC Assets. This API is needed so that integrations can efficiently know which Remote VNC Assets already exist in an SRA site.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.12",
    "title": "BeyondTrust Remote Support Configuration APIs",
    "description": "<a id=\"__overview\"></a>\n## Overview\nThe BeyondTrust Remote Support Configuration APIs provide a way to programmatically configure BeyondTrust Remote Support.\n<a id=\"__overview_authentication\"></a>\n### Authentication\nThe BeyondTrust Remote Support Configuration APIs require OAuth 2 credentials for authentication.\nTo authenticate to the API, you must create an API account on the **/login > Management > API Configuration** page. The account must have permission to access the Configuration API. Copy the **OAuth Client ID** and **OAuth Client Secret** values before saving the API Account. API requests require a token to be generated using this client id and secret and then submitted with each API request.\n<div class=\"p-message p-component p-message-info\">\n  <span class=\"p-message-text\"><strong>NOTE</strong>: The <strong>OAuth Client Secret</strong> cannot be viewed again after the API Account has been saved, but it can be regenerated when you edit the API Account. Regenerating a client secret and then saving the account immediately invalidates any OAuth tokens associated with the account. Any API calls using those tokens will be unable to access the API. A new token must be generated using the new client secret.</span>\n</div>\n\n#### Create a token\nCreate a token by sending an HTTP POST request to the URL of your BeyondTrust Remote Support site followed by /oauth2/token:\n\n    https://sespog-rs.qabeyondtrustcloud.com/oauth2/token\n\nThe OAuth client ID and client secret associated with the API account should be Base64 encoded and included in an HTTP basic authorization header:\n\n    Authorization: Basic <base64-encoded \"client_id:secret\">\n\nInclude the following POST body in the request:\n\n    grant_type=client_credentials\n\nIf the request is processed without error, you will receive an access token JSON response:\n\n    {\n        \"access_token\": \"<token>\",\n        \"token_type\": \"Bearer\",\n        \"expires_in\": 3600\n    }\n\n<div class=\"p-message p-component p-message-info\">\n  <span class=\"p-message-text\"><strong>NOTE</strong>: This token expires after one hour. Any calls to the API past that point must have a new token. Each API account can have a maximum of 30 valid tokens. If an API account attempts to generate more than 30 tokens, then the oldest token is invalidated before a new one is generated.</span>\n</div>\n\n#### Request an API resource\nNow that you have an access token, you can make HTTPS requests to the Configuration API.\nThe token obtained above must be included in an `Authorization` HTTP header with each request:\n\n    Authorization: Bearer <token>\n\nIf the token is valid, you gain access to the requested URL.\n#### Authentication errors\nRequests made to the web API with expired or invalid tokens result in a JSON error response:\n\n    {\n        \"error\": \"access_denied\",\n        \"message\": \"The resource owner or authorization server denied the request.\"\n    }\n\n<div class=\"p-message p-component p-message-warn\">\n  <span class=\"p-message-text\"><strong>IMPORTANT</strong>: When making consecutive API calls, you must close the connection after each API call.</span>\n</div>\n\n#### Request rate limits\nRequests are limited to 20 per second and 15,000 per hour.\nThis limit applies to all API endpoints and is per API account.\nResponses include headers with the rate limit information:\nExample:\n\n    X-RateLimit-Limit: 15000\n    X-RateLimit-Remaining: 14996\n\n\n<a id=\"__overview_request_headers\"></a>\n### Required Request Headers\nIn addition to the `Authorization` header mentioned above for OAuth 2 authentication,\n\n  - for `GET` and `DELETE` requests, you must include an `Accept` header with the value `application/json`.\n  - for all other requests where you are sending a JSON request body, you must include a `Content-Type` header with a value of `application/json`.\n\n<a id=\"__overview_http_methods\"></a>\n\n### HTTP Request Methods\nThe documentation below lists the allowed [HTTP request methods](https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods) for each API. Not all methods are allowed for all APIs.\n\nAll APIs that document `GET` requests will also accept `HEAD` requests. Responses to `HEAD` requests never include a body. This might be useful if you only wish to use the HTTP status code and/or pagination headers to determine the existence of a resource or resources identified by the URI, and you do not need the response body.\n\nIn addition to the human-readable documentation for each API below, the `OPTIONS` method may be used with any URI to obtain the list of allowed HTTP methods for a given URI. For example, the request\n\n    OPTIONS https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user\n\nwill respond with an `Allow` header containing a comma-separated list of the HTTP methods that can be used with that URI:\n\n    Allow: GET,HEAD,POST\n\n\nIf you attempt to use an HTTP method with an API that does not support that method, you will receive an HTTP 405 \"Method Not Allowed\" response.\n<a id=\"__overview_status_codes\"></a>\n### Common HTTP Status Codes\nIndividual APIs may provide specific documentation for certain status codes, but not all possible status codes are documented on every API. The following is a list of the HTTP status codes commonly returned by these APIs and what they usually mean.\n<table> <tr> <th>Status Code</th> <th>Description</th> </tr> <tr> <td>200</td> <td> For a GET query, this indicates the query was successful, though the response may or may not include an empty resource array depending on whether your query parameters matched any resources. For a PATCH request, this indicates the resource was updated successfully, and the response should contain the updated resource object. </td> </tr> <tr> <td>201</td> <td>The operation successfully created a new resource.</td> </tr> <tr> <td> 204 </td> <td>Indicates an operation—such as a DELETE—completed successfully. The response body should be empty. </td> </tr> <tr> <td>401</td> <td>For a GET operation, this indicates you supplied unrecognized query string parameters; for a POST or PATCH operation, this indicates you supplied unrecognized fields in the request body. Check the documentation to ensure all parameters are spelled correctly. </td> </tr> <tr> <td>403</td> <td>The API Account whose authentication credentials were used for the request does not have permission to use this API. Edit this account on the <a target=\"_blank\" href=\"https://sespog-rs.qabeyondtrustcloud.com/login/api_account\">API Account</a> page and ensure it has permission to use the Configuration API. </td> </tr> <tr> <td>404</td> <td>A request for a specific resource - usually by id - did not match any known resources. </td> </tr> <tr> <td>405</td> <td>Your request contained an <a rel=\"noopener\" target=\"_blank\" href=\"https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods\">HTTP method</a> that is not supported for the URI of the request. The documentation below indicates which methods are allowed for each API endpoint. Methods that are not specifically documented are not allowed, except for HEAD and OPTIONS as mentioned in the <a href=\"#__overview_http_methods\">HTTP Request Methods</a> section above. </td> </tr> <tr> <td>422</td> <td>This can happen when attempting to create or update a resource with malformed data. The response body should contain a validation error dictionary indicating which fields are invalid and how they are invalid. </td> </tr> <tr> <td>500</td> <td>An internal server error occurred. Please contact BeyondTrust support.</td> </tr> </tr> </table>\n<a id=\"__overview_pagination\"></a>\n\n### Pagination\nAll GET API endpoints that return multiple resources - e.g. `GET https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user` - return paginated responses of no more than 100 items by default. This means a single response may or may not include all of the requested resources and you may need to make additional requests to obtain the remaining resources.\n### Query String Parameters\nThere are two query string parameters you should always supply when accessing a paginated API:\n- `per_page`: This indicates the number of resources you wish to obtain in each response. It defaults to 100 if not supplied, which is also the maximum value.\n- `current_page`: This indicates the 1-based index of the set of `per_page` resources you wish to obtain.\n\nThere are several response headers you can use to programmatically navigate through all the pages of a given resource.\n### `Link` Header\nThe [Link header](https://tools.ietf.org/html/rfc5988) includes the URLs of at least the first and last page of the paginated API endpoint based on your `per_page` and `current_page` query string parameters. The header may also contain URLs for the previous and next pages, depending on your pagination query string parameters and how many resources exist in the system. An example `Link` header for a request to\n\n    https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user?per_page=10&current_page=2\n\n  would look something like the following:\n\n\n    Link: <https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user?per_page=10&current_page=1>; rel=\"first\",\n    <https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user?per_page=10&current_page=1>; rel=\"previous\",\n    <https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user?per_page=10&current_page=3>; rel=\"next\",\n    <https://sespog-rs.qabeyondtrustcloud.com/api/config/v1/user?per_page=10&current_page=5>; rel=\"last\"\n\n\n*Newlines are included for readability. They would not be included in an actual `Link` header.*\n\nThe sections of a `Link` header are comma-space-delimited. The URLs are surrounded in `<>`.\n\nThe `rel` values indicate the name of the page identified by the preceding URL. Possible values are \"first\", \"previous\", \"next\", and \"last\". \"first\" and \"last\" URLs will always be included, even if they are the same. \"previous\" and \"next\" URLs will only be included when those pages exist.\n\n### `X-BT-Pagination` Headers\n\nUsing the URLs in the `Link` header is the least error-prone way to paginate. Building your URLs programmatically is not recommended. However there are additional headers that provide access to some page numbers and resource counts that you may find useful.\n- `X-BT-Pagination-Current-Page`: Contains the 1-based index of the current page. This should match your `current_page` query string parameter, if provided.\n- `X-BT-Pagination-Last-Page`: Contains the 1-based index of the last page.\n- `X-BT-Pagination-Per-Page`: Contains the 1-based index of the current page. This should match your `per_page` query string parameter, if provided.\n- `X-BT-Pagination-Total`: Contains the total number of resources that match your query across all pages.\n<a id=\"__overview_date_times\"></a>\n\n### Date-Time Formatting and Time Zones\nAll date-time values should be in [RFC3339 Internet Date-Time Format](https://tools.ietf.org/html/rfc3339#section-5.6) in UTC unless otherwise noted.\nWhen submitting date-time values to these APIs, milliseconds are optional and will be ignored. A UTC timezone must be included to avoid ambiguity, represented with either the \"Z\" suffix or a \"+00:00\" offset suffix.\n#### Valid Examples\n- `2025-10-16T14:46:25.930+00:00`\n- `2026-10-16T14:46:23+00:00`\n- `2025-10-16T14:46:25.930Z`\n- `2026-10-16T14:46:23Z`\n\n#### Invalid Examples\n- **INVALID** `2025-10-16T14:46:25.930`: Missing timezone; not a valid RFC3339 string.\n- **INVALID** `2026-10-16T14:46:23`: Missing timezone; not a valid RFC3339 string.\n- **INVALID** `2025-10-16T14:46:25.930-08:00`: Non-UTC timezone; valid RFC3339 string but not allowed by these APIs.\n- **INVALID** `2026-10-16T14:46:23+04:00`: Non-UTC timezone; valid RFC3339 string but not allowed by these APIs.\n\nDate-time strings in responses will always include a \"+00:00\" timezone offset suffix - never a \"Z\" suffix.\n<a id=\"__overview_integers\"></a>\n\n### Integers\nRequest body parameters that are marked as type \"integer\" must be supplied as actual JSON numbers, not strings containing a number. For example, if the documentation indicates a request body field named `team_id` is an integer, then the object `{ team_id: 42 }` would be valid, but the object `{ team_id: \"42\" }` would be invalid.\n\n<a id=\"__overview_changes\"></a>\n\n### Changes\nFrom time to time, new fields may be added to existing API responses to support new features, without changing any existing fields. Ensure that your client code is written in such a way it can handle or ignore these minor additions to existing API responses.\n",
    "contact": {
      "email": "support@BeyondTrust.com"
    }
  },
  "externalDocs": {
    "description": "Find out more about BeyondTrust Remote Access APIs",
    "url": "https://docs.beyondtrust.com/rs/docs/api"
  },
  "servers": [
    {
      "url": "https://{example.beyondtrustcloud.com}/api/config/v1"
    }
  ],
  "paths": {
    "/jump-item/remote-vnc": {
      "get": {
        "summary": "Get all Remote VNC Assets matching query parameters.",
        "description": "Gets a paginated list of Remote VNC Assets. This API is needed so that integrations can efficiently know which Remote VNC Assets already exist in an SRA site.",
        "operationId": "api.config.jump-item.remote-vnc.index",
        "parameters": [
          {
            "$ref": "#/components/parameters/PerPageParam"
          },
          {
            "$ref": "#/components/parameters/CurrentPageParam"
          },
          {
            "in": "query",
            "name": "name",
            "description": "Filters results to include only remote vnc items with the given name.",
            "schema": {
              "type": "string",
              "maxLength": 255,
              "minLength": 1
            }
          },
          {
            "in": "query",
            "name": "hostname",
            "description": "Filters results to include only the remote vnc items with the given hostname.",
            "schema": {
              "type": "string",
              "minLength": 3,
              "maxLength": 255
            }
          },
          {
            "in": "query",
            "name": "jump_group_id",
            "description": "Filters results to include only the remote vnc items with the given jump_group_id.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 2147483647
            }
          },
          {
            "in": "query",
            "name": "jump_group_type",
            "description": "Filters results to include only the remote vnc items with the given Asset Group type.",
            "schema": {
              "type": "string",
              "enum": [
                "shared",
                "personal"
              ]
            }
          },
          {
            "in": "query",
            "name": "jumpoint_id",
            "description": "Filters results to include only the remote vnc items with the given Gateway id.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 2147483647
            }
          },
          {
            "in": "query",
            "name": "tag",
            "description": "Filters results to include only the remote vnc items with the given tag.",
            "schema": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "Link": {
                "$ref": "#/components/headers/Link"
              },
              "X-BT-Pagination-Current-Page": {
                "$ref": "#/components/headers/X-BT-Pagination-Current-Page"
              },
              "X-BT-Pagination-Per-Page": {
                "$ref": "#/components/headers/X-BT-Pagination-Per-Page"
              },
              "X-BT-Pagination-Last-Page": {
                "$ref": "#/components/headers/X-BT-Pagination-Last-Page"
              },
              "X-BT-Pagination-Total": {
                "$ref": "#/components/headers/X-BT-Pagination-Total"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/RemoteVncJumpItem"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PerPage": {
        "type": "integer",
        "minimum": 5,
        "maximum": 100
      },
      "CurrentPage": {
        "type": "integer",
        "format": "int32",
        "minimum": 1
      },
      "RemoteVncJumpItem": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "maximum": 2147483647,
            "readOnly": true,
            "description": "The unique identifier assigned to this Remote VNC Asset by %ABR_BeyondTrust Remote Support%. Other Asset types, like Remote RDP Assets, may duplicate this identifier. The combination of Asset Type + id uniquely identifies any Asset in the system.\n"
          },
          "name": {
            "type": "string",
            "maxLength": 128,
            "minLength": 1,
            "description": "The name of the Remote VNC Asset."
          },
          "jumpoint_id": {
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "maximum": 2147483647,
            "description": "The unique identifier of the Gateway through which connections are made."
          },
          "hostname": {
            "type": "string",
            "maxLength": 128,
            "minLength": 1,
            "description": "The hostname or IP address."
          },
          "port": {
            "type": "integer",
            "format": "int32",
            "minimum": 100,
            "maximum": 65535,
            "default": 5900,
            "description": "The port to use. Must be between 100 and 65535, inclusive."
          },
          "jump_group_id": {
            "type": "integer",
            "format": "int32",
            "minimum": 1,
            "maximum": 2147483647,
            "description": "The unique identifier of the Asset Group or user that owns this Asset."
          },
          "jump_group_type": {
            "type": "string",
            "enum": [
              "shared",
              "personal"
            ],
            "description": "The type of Asset Group that owns this Asset.",
            "default": "shared"
          },
          "tag": {
            "type": "string",
            "minLength": 0,
            "maxLength": 64,
            "description": "The Asset's tag."
          },
          "comments": {
            "type": "string",
            "minLength": 0,
            "maxLength": 1024,
            "description": "The Asset's comments."
          },
          "jump_policy_id": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "minimum": 1,
            "maximum": 2147483647,
            "description": "The unique identifier of the Asset Policy used to manage access to this Asset."
          },
          "session_policy_id": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "minimum": 2,
            "maximum": 2147483647,
            "description": "The unique identifier of the Session Policy used to control the rep's capabilities in the session."
          }
        },
        "required": [
          "name",
          "hostname",
          "jumpoint_id",
          "jump_group_id"
        ]
      }
    },
    "parameters": {
      "PerPageParam": {
        "name": "per_page",
        "in": "query",
        "required": false,
        "schema": {
          "$ref": "#/components/schemas/PerPage"
        },
        "description": "The number of items to include a paginated response."
      },
      "CurrentPageParam": {
        "name": "current_page",
        "in": "query",
        "required": false,
        "schema": {
          "$ref": "#/components/schemas/CurrentPage"
        },
        "description": "The 1-based index of the desired page."
      }
    },
    "headers": {
      "Link": {
        "description": "In a paginated response, this header provides URLs for first, next, previous, and last pages for the current resource type and the given request parameters.",
        "schema": {
          "type": "string",
          "example": "(Newlines added for readability.)\n\nLink: <https://sespog-rs.qabeyondtrustcloud.com/api/config/user?per_page=10&current_page=1>; rel=\"first\",\n<https://sespog-rs.qabeyondtrustcloud.com/api/config/user?per_page=10&current_page=6>; rel=\"previous\",\n<https://sespog-rs.qabeyondtrustcloud.com/api/config/user?per_page=10&current_page=7>; rel=\"last\"\n"
        }
      },
      "X-BT-Pagination-Current-Page": {
        "description": "Indicates the 1-based page number for a paginated response.",
        "schema": {
          "$ref": "#/components/schemas/CurrentPage"
        }
      },
      "X-BT-Pagination-Per-Page": {
        "description": "Indicates the maximum number of resources a paginated response's pages will contain.",
        "schema": {
          "$ref": "#/components/schemas/PerPage"
        }
      },
      "X-BT-Pagination-Last-Page": {
        "description": "Indicates the 1-based number for a paginated response's last page.",
        "schema": {
          "type": "integer",
          "minimum": 1
        }
      },
      "X-BT-Pagination-Total": {
        "description": "Indicates the total number of resources that satisfy the given request parameters.",
        "schema": {
          "type": "integer",
          "minimum": 0
        }
      }
    }
  },
  "x-readme": {}
}
```